Security enhancements to IP Vault and new Gemini Flash 2.5 STS model for Convo mode
curl --request GET \
--url https://pria.praxislxp.com/api/admin/ssoProvider/{id} \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"_id": "<string>",
"institution": "<string>",
"slug": "my-university",
"label": "<string>",
"enabled": true,
"clientId": "<string>",
"clientSecret": "<string>",
"tokenHost": "https://id.provider.com:443",
"tokenPath": "/oauth2/token",
"authorizePath": "/oauth2/authorize",
"userinfoUrl": "https://id.provider.com:443/oauth2/userinfo",
"scope": "openid",
"fieldMapping": {
"email": "email",
"firstName": "given_name",
"lastName": "family_name"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}curl --request GET \
--url https://pria.praxislxp.com/api/admin/ssoProvider/{id} \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"_id": "<string>",
"institution": "<string>",
"slug": "my-university",
"label": "<string>",
"enabled": true,
"clientId": "<string>",
"clientSecret": "<string>",
"tokenHost": "https://id.provider.com:443",
"tokenPath": "/oauth2/token",
"authorizePath": "/oauth2/authorize",
"userinfoUrl": "https://id.provider.com:443/oauth2/userinfo",
"scope": "openid",
"fieldMapping": {
"email": "email",
"firstName": "given_name",
"lastName": "family_name"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Was this page helpful?